Subject: bug#14574: prog-prettify-symbols breaks font-locking

From: Juanma Barranquero <[email-masked]>
Date: Wed, 12 Jun 2013 00:41:34 +0200

> On Tue, Jun 11, 2013 at 11:35 PM, Ted Zlatanov <[email-masked]> wrote:
>
>> Weird.  I don't know what's happening, and it works well for me.  Does
>> turning `font-lock-mode' off and back on fix it?
>
> No.

Or really, not always. I just tried with startup.el (which has lots of
lambdas), and in some cases M-x font-lock-mode M-x font-lock-mode
fixed the faulty lambda composition, and sometimes it didn't.